package com.john.exercise.controller;

import com.john.exercise.domain.Exercise;
import com.john.exercise.repository.ExerciseRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpStatus;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.*;

@Controller
public class ExerciseController {

    @Autowired
    private ExerciseRepository exerciseRepository;

    @GetMapping("/exercise")
    public String exerciseForm(Model model) {
        model.addAttribute("exercise", new Exercise());
        return "exercise";
    }

    @PostMapping("/exercise")
    @ResponseStatus(HttpStatus.OK)
    public void exerciseSubmit(@RequestBody Exercise exercise) {
        exerciseRepository.save(exercise);
    }
}
