package com.john.exercise.domain;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import javax.persistence.*;
import javax.validation.constraints.Email;

@Entity
@Getter @Setter
@AllArgsConstructor
@NoArgsConstructor
@Table(name = "users")
public class User {

    public enum Gender {
        MALE, FEMALE;
    }

    @Id
    @GeneratedValue(strategy = GenerationType.AUTO)
    private Long id;
    private String name;
    private String email;
    private Double weight;
    private Integer age;
    private Integer heightInInches;
    private Gender gender;

    @OneToOne(mappedBy = "user",
        cascade = CascadeType.ALL, orphanRemoval = true)
    private Measurements measurements;

    @OneToMany()
}
